[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# ComputeSortKey

Compute the sort key for a string

## Declaration

Source position: unicodedata.pas line 512

`function ComputeSortKey(`
`const AString: UnicodeString;`
`const ACollation: PUCA_DataBook`
`):TUCASortKey; overload; function ComputeSortKey(`
`const AStr: PUnicodeChar;`
`const ALength: SizeInt;`
`const ACollation: PUCA_DataBook`
`):TUCASortKey; overload;`

## Arguments

`AString` |  | Unicode string
`ACollation` |  | Unicode Collation Algorithm data to use.

## Function result

Sort key for the string.

## Arguments

`AStr` |  | Null-terminated string with length specified in ALength.
`ALength` |  | Length of null-terminated string AStr.
`ACollation` |  | Unicode Collation Algorithm data to use.

## Description

ComputeSortKey computes the sort key for a unicode string AString (or the alternate form using a null-terminated AStr with length Alength) using the Unicode Collation Algorithm data in ACollation. This key can then be used in CompareSortKey to compare unicode strings.

## See also

CompareSortKey |  | Compare two sort keys.